
const path = require('path')
const resolve = require('resolve/sync');
const fs = require("fs");

function resolveAxiosPath() {
  var res = resolve('axios', { basedir: __dirname, preserveSymlinks: false });
  return path.dirname(res)
}

function copyFiles(sourceDir, targetDir) {
  if (!fs.existsSync(targetDir)) {
    fs.mkdirSync(targetDir, { recursive: true });
  }

  const files = fs.readdirSync(sourceDir);
  files.forEach(file => {
    const sourceFilePath = path.join(sourceDir, file);
    const targetFilePath = path.join(targetDir, file);

    if (fs.statSync(sourceFilePath).isDirectory()) {
      copyFiles(sourceFilePath, targetFilePath); // 递归处理子目录
    } else {
      fs.copyFileSync(sourceFilePath, targetFilePath); // 复制文件
      console.info(`覆盖: ${targetFilePath}，来源：${sourceFilePath}`)
    }
  });
}

module.exports = {
  resolveAxiosPath,
  copyFiles
}
